<?php

define('PHPWG_ROOT_PATH','../../../');
define('IN_ADMIN', true);
include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');

check_status(ACCESS_ADMINISTRATOR);
check_pwg_token();

if (isset($_POST['reset']))
{
  $conf['AU_ignore'] = array('plugins'=>array(),'themes'=>array(),'languages'=>array());
  conf_update_param('autoupdate_ignore_list', pwg_db_real_escape_string(serialize($conf['AU_ignore'])));
  unset($_SESSION['extensions_need_update']);
  echo 'ok';
  exit;
}

if (empty($_POST['id']) or empty($_POST['type'])
  or !in_array($_POST['type'], array('plugins', 'themes', 'languages')))
{
  die;
}

// Add or remove plugin from ignore list
if (!in_array($_POST['id'], $conf['AU_ignore'][$_POST['type']]))
{
  array_push($conf['AU_ignore'][$_POST['type']], $_POST['id']);
}
conf_update_param('autoupdate_ignore_list', pwg_db_real_escape_string(serialize($conf['AU_ignore'])));
unset($_SESSION['extensions_need_update']);
echo 'ok';

?>